Subject: bug#47766: closed (Re: bug#47766: 28.0.50; choose-completion fails)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 May 2021 11:00:03 +0000

Your bug report

#47766: 28.0.50; choose-completion fails

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47766: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47766
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47766: 28.0.50; choose-completion fails
From: Alan Mackenzie <[email-masked]>
To: Madhu <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 6 May 2021 10:59:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Madhu.

On Thu, May 06, 2021 at 08:16:39 +0530, Madhu wrote:
> *  Lars Ingebrigtsen <[email-masked]> <[email-masked]>
> Wrote on Wed, 05 May 2021 17:33:54 +0200
> > Madhu <[email-masked]> writes:
> >> Thank you.  I'm running it now and will let you know if i spot
> >> anything.
> > This was almost two weeks ago -- did the patch work well?

> Yes. I haven't seen any problems (though I can't claim to have tested
> all the corner cases)

Thanks for the testing!  I wouldn't worry about the corner cases too
much.  As far as the minibuffer goes, corner cases constitute a near
infinite set.  ;-(

I'm closing the bug with this post.  If any more problems turn up in
this area, please report them in a new bug.  Thanks!

> ---Madhu

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 28.0.50; choose-completion fails
From: Madhu <[email-masked]>
To: [email-masked]
Date: Wed, 14 Apr 2021 10:33:08 +0530 (IST)
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, Motif Version 2.3.8, cairo version 1.16.0)
 of 2021-04-14 built on maher
based on master 844b8949a71f180d395a237c768b22d91cf91ded
(with the motif revert reverted)

1. emacs -Q -eval '(setq pop-up-windows nil pop-up-frames t)'
2. C-x b TAB

this would pop up a new *Completions* buffer in a new frame
with are two choices *Messages* and *scratch*

3. choose a completion (click or hit enter on one of the choices)

user-error: Cannot switch buffers in minibuffer window